Bug 90396 - New port for ejecting removable media
Summary: New port for ejecting removable media
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-12-14 18:40 UTC by Jason Bacon
Modified: 2005-12-21 04:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Bacon 2005-12-14 18:40:02 UTC
	This is a completely new eject command, loosely modelled after the 
	Linux eject, which is far more feature-rich than the existing FreeBSD 
	eject.  Like the Linux eject, it accepts either device names or
	mount points to specify the device, and supports tray-close
	where available.  I originally contacted the author of the existing
	eject port, but he wasn't interested in making any such enhancements.
	Hence, a new eject command written entirely from scratch, with the
	eventual goal of supporting as many ioctls and hardware devices
	as possible.


# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	mcweject
#	mcweject/Makefile
#	mcweject/pkg-descr
#	mcweject/distinfo
#	mcweject/pkg-message
#	mcweject/pkg-plist
#
echo c - mcweject
mkdir -p mcweject > /dev/null 2>&1
echo x - mcweject/Makefile
sed 's/^X//' >mcweject/Makefile << 'END-of-mcweject/Makefile'
X# New ports collection Makefile for:   mcweject
X# Date created:        11 Jan 2005
X# Whom:                jbacon@mcw.edu
X#
X# $FreeBSD$
X#
X
XPORTNAME=       mcweject
XPORTVERSION=    0.9
XCATEGORIES=     sysutils
XMASTER_SITES=   http://www.neuro.mcw.edu/~bacon/Ports/distfiles/
X
XMAINTAINER=     jbacon@mcw.edu
XCOMMENT=        Removable media eject
X
XMAN1=           eject.1
XMANCOMPRESSED=  yes
X
XCONFLICTS=      eject*
X
Xpost-install:
X	${CAT} pkg-message
X
X.include <bsd.port.mk>
END-of-mcweject/Makefile
echo x - mcweject/pkg-descr
sed 's/^X//' >mcweject/pkg-descr << 'END-of-mcweject/pkg-descr'
XThis is a port of eject, a command line utility for ejecting removable
Xmedia.
X
XWWW: http://www.neuro.mcw.edu/~bacon
X
X- Jason
Xjbacon@mcw.edu
END-of-mcweject/pkg-descr
echo x - mcweject/distinfo
sed 's/^X//' >mcweject/distinfo << 'END-of-mcweject/distinfo'
XMD5 (mcweject-0.9.tar.gz) = 28d50648978403712ea33c53a708533f
XSIZE (mcweject-0.9.tar.gz) = 24045
END-of-mcweject/distinfo
echo x - mcweject/pkg-message
sed 's/^X//' >mcweject/pkg-message << 'END-of-mcweject/pkg-message'
X
X===================================================================
XThe file eject.allow.sample has been installed in ${PREFIX}/etc.
XCopy this file to eject.allow, and edit to reflect the devices
Xyou wish to be ejectable.
X===================================================================
X
END-of-mcweject/pkg-message
echo x - mcweject/pkg-plist
sed 's/^X//' >mcweject/pkg-plist << 'END-of-mcweject/pkg-plist'
Xsbin/eject
Xetc/eject.allow.sample
END-of-mcweject/pkg-plist
exit
Comment 1 Edwin Groothuis freebsd_committer 2005-12-20 13:12:19 UTC
State Changed
From-To: open->feedback

fetch: http://www.neuro.mcw.edu/~bacon/Ports/distfiles/mcweject-0.9.tar.gz: size mismatch: expected 24045, actual 19254 

Please check.
Comment 2 Edwin Groothuis freebsd_committer 2005-12-21 04:40:53 UTC
State Changed
From-To: feedback->closed

Committed, thanks!